# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/watchdog/qcom-wdt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Krait Processor Sub-system (KPSS) Watchdog timer

maintainers:
  - Sai Prakash Ranjan <saiprakash.ranjan@codeaurora.org>

allOf:
  - $ref: watchdog.yaml#

properties:
  compatible:
    enum:
      - qcom,apss-wdt-qcs404
      - qcom,apss-wdt-sc7180
      - qcom,apss-wdt-sdm845
      - qcom,apss-wdt-sm8150
      - qcom,kpss-timer
      - qcom,kpss-wdt
      - qcom,kpss-wdt-apq8064
      - qcom,kpss-wdt-ipq4019
      - qcom,kpss-wdt-ipq8064
      - qcom,kpss-wdt-msm8960
      - qcom,scss-timer

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

required:
  - compatible
  - reg
  - clocks

unevaluatedProperties: false

examples:
  - |
    watchdog@208a038 {
      compatible = "qcom,kpss-wdt-ipq8064";
      reg = <0x0208a038 0x40>;
      clocks = <&sleep_clk>;
      timeout-sec = <10>;
    };
